%define upstream_name    Sub-Talisman
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Use attributes to tag or classify subs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers) >= 0.790.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Scalar::Does) >= 0.2.0
BuildRequires: perl(Sub::Identify)
BuildRequires: perl(Sub::Name)
BuildRequires: perl(Test::More) >= 0.610.0
BuildRequires: perl(namespace::clean)
BuildArch:  noarch

%description
Sub::Talisman allows you to define "talisman" attributes for your subs, and
provides a basic introspection API for these talismans.

Class Methods
    Sub::Talisman's methods are designed to be called as class methods.

    * 'setup_for $package, \%options'

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.6.0-5.mga9
+ Revision: 1810256
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-4.mga8
+ Revision: 1506205
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1286215
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.6.0-2.mga7
+ Revision: 1166669
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.6.0-1.mga7
+ Revision: 1158242
- update to 0.006

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-3.mga6
+ Revision: 1033559
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 966900
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 847049
- update to 0.005

* Wed Oct 15 2014 umeabot <umeabot> 0.4.0-5.mga5
+ Revision: 744669
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.0-4.mga5
+ Revision: 686273
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.4.0-3.mga4
+ Revision: 514792
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 372894
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 342596
- update to 0.004

* Sun Oct 21 2012 jquelin <jquelin> 0.3.0-1.mga3
+ Revision: 308706
- imported package perl-Sub-Talisman


* Sun Oct 21 2012 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
